// ExportClassDesc.h: interface for the CExportClassDesc class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_EXPORTCLASSDESC_H__F0D05AF2_8B2A_4637_87D1_8A39F2A4DAFC__INCLUDED_)
#define AFX_EXPORTCLASSDESC_H__F0D05AF2_8B2A_4637_87D1_8A39F2A4DAFC__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "ExportClass.h"

class CExportClassDesc : public ClassDesc2  
{
public:
	CExportClassDesc();
	virtual ~CExportClassDesc();

	int IsPublic();
	void* Create(BOOL bLoading = FALSE);
	const TCHAR* ClassName();
	SClass_ID SuperClassID();
	Class_ID ClassID();
	const TCHAR* Category();

	TCHAR* GetRsrcString(INT_PTR id);

	const TCHAR* InternalName();		// returns fixed parsable name (scripter-visible name)
	HINSTANCE HInstance();				// returns owning module handle
};

#endif // !defined(AFX_EXPORTCLASSDESC_H__F0D05AF2_8B2A_4637_87D1_8A39F2A4DAFC__INCLUDED_)
